This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 757528 - Ugly Russian fonts by default in openttd
Ugly Russian fonts by default in openttd
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openttd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-27 11:22 EST by Alexei Panov
Modified: 2015-06-29 20:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (1.46 MB, image/png)
2011-11-27 11:22 EST, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2011-11-27 11:22:02 EST
Created attachment 537162 [details]
Screenshot

Description of problem:
Ugly Russian fonts by default in openttd (see screenshot). 

Version-Release number of selected component (if applicable):
openttd 1.1.3-1.fc16
openttd-opengfx 0.3.7-1.fc16

How reproducible:
Anytime

Steps to Reproduce:
1. run LANG=ru_RU.UTF-8 openttd
2.
3.
  
Actual results:
Ugly fonts, not playable

Expected results:
Normal fonts

Additional info:
This bug also present in Fedora 15.
This is not a critical error, but it is very unpleasant.
I've try to set google-droid fonts in settings-file, but they also look terrible.
Comment 1 Felix Kaechele 2011-11-27 11:57:17 EST
Thanks for taking the time to post this bugreport.

I reproduced the problem on my machine and I'll be checking with upstream what we can do about it :)

I hope that you can enjoy the game in English until we get this fixed.
Comment 2 Alexei Panov 2011-11-27 12:03:31 EST
Ok. Thanks a lot, including for the quick response.
Comment 3 Felix Kaechele 2011-11-27 12:40:12 EST
So this bug seems to be related to the font choosing algorithm.
If OpenTTD can't find a font in it's sprite (which is the case for most non-latin fonts) it'll ask fontconfig to provide it with a font that can display the required glyphs. For some reason the font returned by fontconfig is obviously not very optimal.
Talking with upstream they acknowledged that there is the possibility of fontconfig not choosing the optimal fonts but that this is something that is easily fixed. There is a chance that they will look into it at some point.

For now I have the following workaround which produced better looking fonts for me (not that I could read cyrillic, but it looked better ;))
Open the OpenTTD config file (~/.openttd/openttd.cfg) in an editor and edit the lines where it says:

small_font =
medium_font =
large_font =

to say

small_font = DejaVu Sans, bold
medium_font = DejaVu Sans, bold
large_font = DejaVu Sans, bold

(I see you tried this with the Droid fonts, but maybe DejaVu has better results)

Also see this OpenTTD bugreport: http://bugs.openttd.org/task/4607

I hope this helps.
Comment 4 Felix Kaechele 2011-11-27 12:41:28 EST
I meant to say that this is something that is NOT easily fixed :) Obviously a typo in my last message.
Comment 5 Alexei Panov 2011-11-27 13:01:30 EST
Yes, Felix. I've changed the three lines in the configuration file as you say. And the font looks nice.
I understand that fixed can not do easily. But with such a good workaround we'll be wait.
Thank you very much.
Comment 6 Fedora End Of Life 2013-01-16 17:42:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Alexei Panov 2013-01-17 06:42:47 EST
Bug is still persist in Fedora 18
openttd-1.2.3-1.fc18.x86_64
Comment 8 Fedora End Of Life 2013-12-21 09:58:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Alexei Panov 2013-12-21 15:23:41 EST
This bug is reproduced in Fedora 20 too.
openttd-1.3.2-2.fc20
Comment 10 Fedora End Of Life 2015-05-29 04:41:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 20:35:06 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.